Bug 546850 - New "Day Types" Feature Does Not Reflect in Calendar
Summary: New "Day Types" Feature Does Not Reflect in Calendar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: planner
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-12 09:15 UTC by David Le Sage
Modified: 2012-01-16 12:52 UTC (History)
2 users (show)

Fixed In Version: 0.14.4-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 04:56:27 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 604510 0 None None None Never

Description David Le Sage 2009-12-12 09:15:56 UTC
Description of problem:
If a user creates a new "Day Type" and then goes to the Calendar Manager, selects a day and chooses that day type, there is no graphical indication that that day is marked.  "Non-working days" currently appear as grey and "working days" are clear, so a unique colour should be assigned to each type of day created.

Version-Release number of selected component (if applicable):
0.14.4 (Fedora 12)

How reproducible:
Every time.

Steps to Reproduce:
1. Go to Project->Edit Day Types.
2. Click "Add" and create a new "type" of day.
3. Close that dialogue box.
4. Go to Project->Manage Calendars.
5. Click on a day.
6. Set day type to the new type of day you created.
7. Click "Apply."

  
Actual results:
The day on the calendar does not change colour or give any other kind of indication that it is a "special" day.

Expected results:
Given that "Non-Working Days' are marked as grey in the calendar, other new day types that are created should automatically be assigned a default colour or some other kind of indication should be given that they are non-standard. This should also reflect in the vertical bars of the Gantt and Resource Type charts.

Additional info:

Comment 1 Caolan McNamara 2009-12-14 09:09:27 UTC
Implementation submitted upstream and logged in. please test when update comment is auto-added to indicate availability

Comment 2 Fedora Update System 2009-12-15 11:27:05 UTC
planner-0.14.4-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-11.fc12

Comment 3 Fedora Update System 2009-12-16 01:10:53 UTC
planner-0.14.4-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13174

Comment 4 Fedora Update System 2009-12-22 04:55:59 UTC
planner-0.14.4-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.